From a18a797ac26b627e29ad0495f83568b3b85d55a0 Mon Sep 17 00:00:00 2001
From: Tsutomu Muroya <tsutomu.muroya.jy@bp.renesas.com>
Date: Tue, 28 Mar 2023 19:29:23 +0900
Subject: [PATCH] Cleanup and improve performance

Signed-off-by: Valerio Setti <vsetti@baylibre.com>
---
 Makefile           |   29 +-
 iccom_core.c       |  308 ----------
 iccom_core.h       |   72 ---
 iccom_driver.c     | 1449 +++++++++++++++++---------------------------
 iccom_driver.h     |  125 ----
 iccom_internal.h   |   71 +++
 iccom_ioctl.h      |   31 +
 iccom_kernel_api.c |  821 -------------------------
 iccom_kernel_api.h |   76 ---
 iccom_miscdev.c    |  215 +++++++
 10 files changed, 899 insertions(+), 2298 deletions(-)
 delete mode 100644 iccom_core.c
 delete mode 100644 iccom_core.h
 delete mode 100644 iccom_driver.h
 create mode 100644 iccom_internal.h
 create mode 100644 iccom_ioctl.h
 delete mode 100644 iccom_kernel_api.c
 delete mode 100644 iccom_kernel_api.h
 create mode 100644 iccom_miscdev.c

diff --git a/Makefile b/Makefile
index 4eed01a..f066596 100644
--- a/Makefile
+++ b/Makefile
@@ -1,16 +1,19 @@
-ccflags-y+=-Werror
 ccflags-y+=-I$(M)/public
+ccflags-y+=-Werror
+
+obj-m := iccom.o
+iccom-y := iccom_miscdev.o iccom_driver.o
+
+SRC := $(shell pwd)
+
+all:
+	$(MAKE) -C $(KERNEL_SRC) M=$(SRC)
 
-DEBUG  ?= N
-ifeq ($(DEBUG),Y)
-	ccflags-y+=-DDEBUG
-endif
-obj-m += iccom.o
+modules_install:
+	$(MAKE) -C $(KERNEL_SRC) M=$(SRC) modules_install
 
-iccom-objs :=   \
-		iccom_core.o \
-		iccom_driver.o \
-		iccom_kernel_api.o
-clean :
-		rm -f *.o
-		rm -f *.ko
+clean:
+	rm -f *.o *~ core .depend .*.cmd *.ko *.mod.c
+	rm -f Module.markers Module.symvers modules.order
+	rm -rf .tmp_versions Modules.symvers
+	
diff --git a/iccom_driver.c b/iccom_driver.c
index f2219aa..a9552f1 100644
--- a/iccom_driver.c
+++ b/iccom_driver.c
@@ -1,16 +1,3 @@
-/*
- * Copyright (c) 2016, Renesas Electronics Corporation
- *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License Version 2 as
- * published by the Free Software Foundation.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
- * GNU General Public License for more details.
- */
-
 #include <linux/module.h>
 #include <linux/kernel.h>
 #include <linux/init.h>
